## ros-noetic-lanelet2-maps 1.2.1

=== CMakeLists.txt ===
set(MRT_PKG_VERSION 4.0.0)
# Modify only if you know what you are doing!
cmake_minimum_required(VERSION 3.5.1)
project(lanelet2_maps)

###################
## Find packages ##
###################
find_package(mrt_cmake_modules REQUIRED)
include(UseMrtStdCompilerFlags)
include(GatherDeps)

# You can add a custom.cmake in order to add special handling for this package. E.g. you can do:
# list(REMOVE_ITEM DEPENDEND_PACKAGES <package name 1> <package name 2> ...)
# To remove libs which cannot be found automatically. You can also "find_package" other, custom dependencies there.
# You can also set PROJECT_INSTALL_FILES to install files that are not installed by default.
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
    include("${CMAKE_CURRENT_SOURCE_DIR}/custom.cmake")
endif()

find_package(AutoDeps REQUIRED COMPONENTS ${DEPENDEND_PACKAGES})

mrt_parse_package_xml()

########################
## Add python modules ##
########################
# This adds a python module if located under src/{PROJECT_NAME)
mrt_python_module_setup()

mrt_glob_files(PROJECT_PYTHON_SOURCE_FILES_SRC "python_api/*.cpp")
if (PROJECT_PYTHON_SOURCE_FILES_SRC)
    # Add a cpp-python api library. Make sure there are no name collisions with python modules in this project
    mrt_add_python_api( ${PROJECT_NAME}
        FILES ${PROJECT_PYTHON_SOURCE_FILES_SRC}
        )
endif()

############################
## Read source code files ##
############################
mrt_glob_files_recurse(PROJECT_HEADER_FILES_INC "include/*.h" "include/*.hpp" "include/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_INC "src/*.h" "src/*.hpp" "src/*.cuh")
mrt_glob_files(PROJECT_SOURCE_FILES_SRC "src/*.cpp" "src/*.cu")

###########
## Build ##
###########
# Declare a cpp library
mrt_add_library(${PROJECT_NAME}
    INCLUDES ${PROJECT_HEADER_FILES_INC} ${PROJECT_SOURCE_FILES_INC}
    SOURCES ${PROJECT_SOURCE_FILES_SRC}
    )

#############
## Install ##
#############
# Install all targets, headers by default and scripts and other files if specified (folders or files).
# This command also exports libraries and config files for dependent packages and this supersedes catkin_package.
mrt_install(PROGRAMS scripts FILES res data ${PROJECT_INSTALL_FILES})

#############
## Testing ##
#############
# Add test targets for cpp and python tests
if (CATKIN_ENABLE_TESTING)
    mrt_add_tests(test)
    mrt_add_nosetests(test)
endif()

## ros-noetic-lanelet2-maps 1.2.0

=== debian/changelog ===
ros-noetic-lanelet2-maps (1.2.0-2buster) buster; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Distinguish relations and their members in maps README.md
    In description of Lanelets
  * Contributors: Michael Hoss, Nico Neumann, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2-maps (1.1.1-2buster) buster; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.1.0-2buster) buster; urgency=high

  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.0.1-2buster) buster; urgency=high

  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.0.0-2buster) buster; urgency=high

  * Bump version to 1.0
  * Improve presets and lanelet visualization
  * added swedish traffic signs
  * Clean up JOSM style sheet
  * Add US traffic signs to JOSM stylesheet and docu
  * Improve documentation on how traffic lights/signs should be mapped
  * Add documentation
  * Fix example map
  * Initial commit
  * Contributors: Fabian Poggenhans, Lingguang Wang, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-lanelet2-maps
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-mrt-cmake-modules
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-lanelet2-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-lanelet2-core, ros-noetic-mrt-cmake-modules
Description: Example maps in the lanelet2-format

## ros-noetic-lanelet2-maps 1.2.1

=== debian/changelog ===
ros-noetic-lanelet2-maps (1.2.1-2focal) focal; urgency=high



 -- Fabian Immel <fabian.immel@kit.edu>  Wed, 10 May 2023 00:00:00 -0000

ros-noetic-lanelet2-maps (1.2.0-2focal) focal; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Distinguish relations and their members in maps README.md
    In description of Lanelets
  * Contributors: Michael Hoss, Nico Neumann, Fabian Immel

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2-maps (1.1.1-2focal) focal; urgency=high



 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.1.0-2focal) focal; urgency=high

  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.0.1-2focal) focal; urgency=high

  * Make sure lanelet2 buildtool_export_depends on mrt_cmake_modules
  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2-maps (1.0.0-2focal) focal; urgency=high

  * Bump version to 1.0
  * Improve presets and lanelet visualization
  * added swedish traffic signs
  * Clean up JOSM style sheet
  * Add US traffic signs to JOSM stylesheet and docu
  * Improve documentation on how traffic lights/signs should be mapped
  * Add documentation
  * Fix example map
  * Initial commit
  * Contributors: Fabian Poggenhans, Lingguang Wang, Maximilian Naumann

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-lanelet2-maps//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
